Bug 430826 - Copying an accented letter with the mouse into emacs does not work
Copying an accented letter with the mouse into emacs does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 18:16 EST by Jacek Chrząszcz
Modified: 2009-09-21 08:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-21 08:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of emacs with a strange character (27.74 KB, image/png)
2008-01-29 18:16 EST, Jacek Chrząszcz
no flags Details

  None (edit)
Description Jacek Chrząszcz 2008-01-29 18:16:01 EST
Description of problem:

While copying text with polish diacrytic characters with the mouse into emacs,
one character (l with bar) does not show correctly. It _did_ show correctly in
F7 though.

Version-Release number of selected component (if applicable):
emacs-22.1-8.fc8

How reproducible:
using the mouse, copy some text containing ł - a polish l with bar - (for
example from this page
http://leksykot.top.hell.pl/jenzyk/polskie/drobiazgi/ogonki
) to the emacs window

Steps to Reproduce:
1.start emacs
2.in a web browser open http://leksykot.top.hell.pl/jenzyk/polskie/drobiazgi/ogonki
3.select the whole title "Ogonki..." with the mouse
4.middle-click into emacs
  
Actual results:
Ogonki, czyli zażó[strange ł character]ć gęślą jaźń [see attached screenshot]

Expected results:
Ogonki, czyli zażółć gęślą jaźń

Additional info:
* I am sure this did work correctly in emacs 22 in F7
* this does not work in Ubuntu 7.10 Gutsy (either emacs 21 or 22), but does work
in emacs 23 from http://peadrop.com/blog/2007/01/06/pretty-emacs
* it is perfectly possible to enter ł (l with bar) in emacs with the keyboard
* when saved to a UTF-8 encoded file, this character is saved as a normal ł (l
with bar) entered 
* the same error occurs when ł is copied from other windows, e.g. terminal
* when [strange ł] is copied with the mouse from emacs to terminal, it works ok
* copying ł with the mouse in other applications woks without problems.
* copying correct ł and incorrect ł from emacs to emacs works as follows:
correct ł is pased as correct ł and incorrect ł as incorrect ł
* I am testing this in Gnome, started by emacs -q from a terminal with polish
locale:
[chrzaszcz@minio ~]$ locale
LANG=pl_PL.UTF-8
LC_CTYPE="pl_PL.UTF-8"
LC_NUMERIC="pl_PL.UTF-8"
LC_TIME="pl_PL.UTF-8"
LC_COLLATE="pl_PL.UTF-8"
LC_MONETARY="pl_PL.UTF-8"
LC_MESSAGES="pl_PL.UTF-8"
LC_PAPER="pl_PL.UTF-8"
LC_NAME="pl_PL.UTF-8"
LC_ADDRESS="pl_PL.UTF-8"
LC_TELEPHONE="pl_PL.UTF-8"
LC_MEASUREMENT="pl_PL.UTF-8"
LC_IDENTIFICATION="pl_PL.UTF-8"
LC_ALL=

I hope you can repair the problem or send a helpful bug report upstream.

Jacek
Comment 1 Jacek Chrząszcz 2008-01-29 18:16:01 EST
Created attachment 293355 [details]
screenshot of emacs with a strange character
Comment 3 Bug Zapper 2008-11-26 04:37:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jacek Chrząszcz 2008-12-01 18:02:30 EST
This bug is still present in Fedora 10.
Comment 5 Daniel Novotny 2009-09-21 08:00:20 EDT
this works in Fedora 11, after Emacs update to 23.1

Note You need to log in before you can comment on or make changes to this bug.